> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organizations

> Get list of organizations with pagination and filtering. See [Platform Overview](https://docs.galtea.ai/introduction).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json get /organizations
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /organizations:
    get:
      tags:
        - organizations
      summary: Get organizations
      description: >-
        Get list of organizations with pagination and filtering. See [Platform
        Overview](https://docs.galtea.ai/introduction).
      operationId: getOrganizations
      parameters:
        - name: ids
          in: query
          style: form
          explode: true
          description: Filter by organization IDs
          required: false
          schema:
            type: array
            items:
              type: string
        - name: name
          in: query
          description: Filter by organization name
          required: false
          schema:
            type: string
        - name: sort
          in: query
          style: form
          explode: true
          description: Sort instructions (field and direction pairs)
          required: false
          schema:
            type: array
            items:
              type: string
        - name: limit
          in: query
          description: Maximum number of results
          required: false
          schema:
            type: integer
        - name: offset
          in: query
          description: Number of results to skip
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: Organizations retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Organization'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Organization:
      type: object
      properties:
        id:
          type: string
          example: org_123
        name:
          type: string
          example: Example Organization
        remainingSubscriptionCredits:
          type: integer
          nullable: true
          example: 1000
        extraCredits:
          type: integer
          example: 500
        lastWarningAt:
          type: string
          format: date-time
          nullable: true
        warningAt:
          type: integer
          nullable: true
        stripeCustomerId:
          type: string
          nullable: true
          example: cus_123
        samlEntrypointUrl:
          type: string
          nullable: true
        samlEntityId:
          type: string
          nullable: true
        samlIssuerId:
          type: string
          nullable: true
        samlPublicCertificate:
          type: string
          nullable: true
        samlSignedResponse:
          type: boolean
          nullable: true
        samlSignedAssertions:
          type: boolean
          nullable: true
        samlTeamSlug:
          type: string
          nullable: true
        enforceMfa:
          type: boolean
          default: false
          description: >-
            When true, every member of the organization must complete an MFA
            challenge to sign in. Settable by Owners (via update) and Admins
            (via create or update).
        createdAt:
          type: string
          format: date-time
        deletedAt:
          type: string
          format: date-time
          nullable: true
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````